package dk.nsp.api.auth

import android.net.Uri
import dk.nsp.mingraviditet.api.BuildConfig

import net.openid.appauth.AuthorizationRequest

object AuthConstants {

    private const val keyCloakDiscoveryUrl =
        "${BuildConfig.KeyCloakServer}/auth/realms/${BuildConfig.KeyCloakRealm}"

    private val scopes = listOf(
        AuthorizationRequest.Scope.OPENID,
        AuthorizationRequest.Scope.PROFILE,
        "sosi-sts"
    )

    val openIdBackendConfig: OpenIdCredentials by lazy {
        OpenIdCredentials(
            BuildConfig.KeyCloakClient,
            scopes,
            Uri.parse(BuildConfig.LoginRedirecturi),
            Uri.parse(keyCloakDiscoveryUrl)
        )
    }
}