package dk.nsp.api.auth

import net.openid.appauth.browser.BrowserDescriptor
import net.openid.appauth.browser.BrowserMatcher

/** A prioritized list of browsers to fallback on for the auth service */
val fallbackBrowsers = arrayOf(
    "com.android.chrome",
    "org.mozilla.firefox",
    "com.sec.android.app.sbrowser",
    "com.android.browser",
    "org.mozilla.focus",
    "com.duckduckgo.mobile.android"
)

/**
 * A custom browser matcher to make sure Microsoft Edge is never picked.
 * The reason is that Edge does not return a data intent, so the auth flow gets stuck
 */
class CustomAuthBrowserMatcher : BrowserMatcher {
    override fun matches(descriptor: BrowserDescriptor): Boolean {
        val isEdgeWithCustomTabs =
            descriptor.useCustomTab && descriptor.packageName == "com.microsoft.emmx"
        return !isEdgeWithCustomTabs
    }
}