package dk.nsp.api.auth

import android.net.Uri

/**
 * The credentials required to communicate with the open id server
 * @property clientId The client id (as configured on the sever)
 * @property scopes A list of scopes an authorization should require
 * @property redirectUrl The app specific redirect url; eg "app://"
 * @property discoveryUrl The uri where to find all the services from the open id server
 */
data class OpenIdCredentials(
    val clientId: String,
    val scopes: List<String>,
    val redirectUrl: Uri,
    val discoveryUrl: Uri
)