package dk.nsp.api.auth

import dk.nsp.api.auth.keyserver.models.KeyModelDTO
import dk.nsp.shared.ResultWrapper


/**
 * Used to wrap a KeyModel used during auth flow, to return it to caller
 * E.g. if an error happens during login flow, but the KeyModel is valid, it could be needed to be passed to a new registration flow
 * @property keyModelResult ResultWrapper<KeyModelDTO>
 * @property optionalKeyModel KeyModelDTO?
 * @constructor
 */
class OptionalKeyModelWithPotentialError(
    val keyModelResult: ResultWrapper<KeyModelDTO>,
    val optionalKeyModel: KeyModelDTO? = null
)