package dk.nsp.api.careplan

import dk.nsp.api.careplan.models.CareplanDTO
import dk.nsp.api.util.extensions.asyncIO
import dk.nsp.shared.ResultWrapper
import dk.nsp.shared.tryOrFailed
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Deferred

class CareplanControllerImpl(private val api: CareplanAPI) : ICareplanController {
    override fun getCareplan(scope: CoroutineScope): Deferred<ResultWrapper<List<CareplanDTO>>> =
        scope.asyncIO {
            tryOrFailed {
                api.getCareplans()
            }
        }
}