package dk.nsp.api.careplan.models

import kotlinx.serialization.Serializable

@Serializable
data class CareplanDTO(
    val patient: String,
    val activities: List<CareplanActivityDTO>,
    val processId: String?, //A reference to any external clinical pathway that this care plan is a part of
    val title: String,
    val description: String?,
    val goal: CareplanGoalDTO?,
    val responsibleOrganization: OrganizationDTO,
    val id: String,
    val version: Long
)