/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2020 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
@file:UseSerializers(DateTimeSerializer::class)

package dk.nsp.api.datacard.models

import dk.nsp.api.util.converters.DateTimeSerializer
import kotlinx.serialization.Serializable
import kotlinx.serialization.UseSerializers
import org.joda.time.DateTime


@Serializable
data class MaternityDataCardDTO(
    val modifiedTime: DateTime?,
    val author: HealthCareActorDTO,
    val recordTarget: CprIdentifiedPersonDTO,
    val childPartnerSection: ChildPartnerSectionDTO?,
    val languageSection: LanguageSectionDTO?,
    val bodyMeasuresSection: BodyMeasuresSectionDTO?,
    val socialHistorySection: SocialHistorySectionDTO?,
    val previousBirthsSection: PreviousBirthsSectionDTO?,
    val previousAbortionsSection: PreviousAbortionsSectionDTO?,
    val expectedDateOfDeliverySection: ExpectedDateOfDeliverySectionDTO?,
    val prenatalRiskAssessmentSection: PrenatalRiskAssessmentSectionDTO?,
    val workEnvironmentImpactSection: WorkEnvironmentImpactSectionDTO?,
    val allergiesSection: AllergiesSectionDTO?,
    val screeningsSection: ScreeningsSectionDTO?,
    val chronicDiseasesSection: ChronicalDiseasesSectionDTO?,
    val medicineSection: MedicineSectionDTO?,
    val mmrVaccinationSection: MmrVaccinationSectionDTO?,
    val historyOfPreviousTreatmentWithImpactOnPregnancySection: String?,//TODO HistoryOfPreviousTreatmentWithImpactOnPregnancySectionDTO?,
    val tobaccoUseAndExposureSection: TobaccoUseAndExposureSectionDTO?,
    val alcoholDrinkingBehaviorSection: AlcoholDrinkingBehaviorSectionDTO?,
    val assistedFertilizationSection: AssistedFertilizationSectionDTO?,
    val substanceUseSection: SubstanceUseSectionDTO?,
    val dietaryAndExerciseSection: DietaryAndExerciseSectionDTO?,
    val healthInsuranceSection: HealthInsuranceSectionDTO?,
    val birthPlaceSection: BirthPlaceSectionDTO?,
    val midwifeClinicSection: MidwifeClinicSectionDTO?,
    val postpartumNursingSection: PostpartumNursingSectionDTO?,
    val overallAssessmentSection: OverallAssessmentSectionDTO?,
    val personalDataSection: PersonalDataSectionDTO?,
    val healthCareSection: HealthCareSectionDTO?,
    val episodeOfCareIdentifier: String,
    val documentUniqueId: String?
)
