package dk.nsp.mingraviditet.extensions

import android.content.Context
import android.util.TypedValue
import com.commonsense.android.kotlin.system.extensions.getColorSafe
import dk.nsp.mingraviditet.R
import timber.log.Timber

fun getAppointmentBackgroundColor(context: Context, isPast: Boolean): Int {
    val timelineBackgroundColorTypedValue = TypedValue()
    if (isPast) {
        Timber.d("past")
        context.theme.resolveAttribute(
            R.attr.pastTimelineBackgroundColor,
            timelineBackgroundColorTypedValue,
            true
        )
    } else {
        Timber.d("futurer")
        context.theme.resolveAttribute(
            R.attr.pastTimelineBackgroundColor,
            timelineBackgroundColorTypedValue,
            true
        )
    }

    return context.getColorSafe(timelineBackgroundColorTypedValue.resourceId)
}

fun getAppointmentTimelineTintColor(context: Context, isPast: Boolean): Int {
    val timelineColorTypedValue = TypedValue()
    if (isPast) {
        context.theme.resolveAttribute(R.attr.pastTimelineColor, timelineColorTypedValue, true)
    } else {
        context.theme.resolveAttribute(R.attr.futureTimelineColor, timelineColorTypedValue, true)
    }

    return context.getColorSafe(timelineColorTypedValue.resourceId)
}