package dk.nsp.mingraviditet.extensions

import android.graphics.drawable.Drawable
import android.widget.ImageView
import androidx.databinding.BindingAdapter
import com.bumptech.glide.Glide

@BindingAdapter("srcUrl", "placeholder")
fun ImageView.bindSrcUrl(url: String?, placeholder: Drawable?) =
    Glide.with(this).load(url).let { request ->
        if (placeholder != null) {
            request.placeholder(placeholder)
        }
        request.into(this)
    }

@BindingAdapter("srcUrlIfAvailable")
fun ImageView.bindSrcUrlIfAvailable(url: String?) {
    url?.let {
        Glide.with(this).load(it).let { request ->
            request.into(this)
        }
    }
}