package dk.nsp.mingraviditet.ui.adapterviews

import dk.nsp.mingraviditet.databinding.EmptyStateFullHeightBinding
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView
import dk.nsp.mingraviditet.util.extensions.bindingadapters.setTextModel
import dk.nsp.util.TextModel

class EmptyStateFullHeight(val title: TextModel? = null, val description: TextModel? = null) :
    RecyclerAdapterView<EmptyStateFullHeightBinding> {
    override fun bindData(viewHolder: BindingViewHolder<EmptyStateFullHeightBinding>) {
        title?.let { viewHolder.binding.title.setTextModel(it) }
        description?.let { viewHolder.binding.description.setTextModel(it) }
    }

    override val createHolderFunction: DelegationListAdapterInflater<EmptyStateFullHeightBinding> =
        EmptyStateFullHeightBinding::inflate
}