package dk.nsp.mingraviditet.ui.main.appointments.rows

import android.content.res.ColorStateList
import dk.nsp.mingraviditet.R
import dk.nsp.mingraviditet.databinding.AppointmentsMonthDividerRowBinding
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView
import dk.nsp.mingraviditet.util.extensions.getColorFromAttr

class AppointmentsMonthRow(val month: String, val isPast: Boolean) :
    RecyclerAdapterView<AppointmentsMonthDividerRowBinding> {
    override fun bindData(viewHolder: BindingViewHolder<AppointmentsMonthDividerRowBinding>) {
        val ctx = viewHolder.binding.root.context

        viewHolder.binding.month = month

        val backgroundColor = if (isPast) {
            ctx.getColorFromAttr(R.attr.pastTimelineBackgroundColor)
        } else {
            ctx.getColorFromAttr(R.attr.backgroundColor)
        }
        viewHolder.binding.root.setBackgroundColor(backgroundColor)
        if (isPast) {
            val pastTimelineColor = ctx.getColorFromAttr(R.attr.pastTimelineColor)
            viewHolder.binding.verticalTimeline.backgroundTintList =
                    ColorStateList.valueOf(pastTimelineColor)
            viewHolder.binding.monthText.setTextColor(pastTimelineColor)
        } else {
            viewHolder.binding.verticalTimeline.backgroundTintList =
                ColorStateList.valueOf(ctx.getColorFromAttr(R.attr.futureTimelineColor))
            viewHolder.binding.monthText.setTextColor(ctx.getColorFromAttr(R.attr.mgTextColor))
        }
    }

    override val createHolderFunction: DelegationListAdapterInflater<AppointmentsMonthDividerRowBinding> =
        AppointmentsMonthDividerRowBinding::inflate

}

