package dk.nsp.mingraviditet.ui.main.knowledge

import dk.nsp.mingraviditet.databinding.CategoryCardBinding
import dk.nsp.mingraviditet.ui.main.knowledge.viewbinding.CategoryCardBindingModel
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView

class CategoryCard(val data: CategoryCardBindingModel) : RecyclerAdapterView<CategoryCardBinding> {
    override fun bindData(viewHolder: BindingViewHolder<CategoryCardBinding>) {
        viewHolder.binding.bm = data
    }

    override val createHolderFunction: DelegationListAdapterInflater<CategoryCardBinding> =
        CategoryCardBinding::inflate

    override fun isContentTheSameAsInternal(other: RecyclerAdapterView<*>): Boolean {
        val otherAsCategoryCard = other as? CategoryCard

        return (data.title == otherAsCategoryCard?.data?.title
                && data.description == otherAsCategoryCard.data.description)
                && data.iconUrl == otherAsCategoryCard.data.iconUrl
    }
}