package dk.nsp.mingraviditet.ui.useradmission

import android.os.Bundle
import android.view.LayoutInflater
import androidx.appcompat.app.AppCompatActivity
import androidx.navigation.findNavController
import dagger.hilt.android.AndroidEntryPoint
import dk.nsp.domain.auth.AuthRepo
import dk.nsp.mingraviditet.R
import dk.nsp.mingraviditet.databinding.ActivityUserAdmissionBinding
import dk.nsp.mingraviditet.ui.useradmission.login.PinCodeMode
import dk.nsp.mingraviditet.ui.useradmission.onboarding.OnboardingFragmentDirections
import dk.nsp.mingraviditet.util.extensions.navigateSafe

@AndroidEntryPoint
class UserAdmissionActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        val binding = ActivityUserAdmissionBinding.inflate(LayoutInflater.from(this))
        setContentView(binding.root)

        if (savedInstanceState != null) {
            return
        }

        if (AuthRepo(this).haveLogin()) {
            findNavController(R.id.user_admission_nav_host_fragment).navigateSafe(
                OnboardingFragmentDirections.actionOnboardingFragmentToLoginFragment(PinCodeMode.Login)
            )
        }
    }
}