package dk.nsp.mingraviditet.ui.useradmission.login.keyboard

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import dk.nsp.mingraviditet.util.extensions.getValue
import dk.nsp.mingraviditet.util.extensions.postSingleEvent
import dk.nsp.mingraviditet.util.livedata.SingleEvent

class KeyboardViewModel : ViewModel() {
    private val pinLength = 4

    private val _pinEntered: MutableLiveData<String> = MutableLiveData()
    val onPinChangedListener by _pinEntered

    private val _onBiometricPressed: MutableLiveData<SingleEvent<Unit>> = MutableLiveData()
    val onBiometricPressed by _onBiometricPressed

    fun keyboardInput(pinNumber: Int) {
        val existingPin = _pinEntered.value ?: ""
        val newPin = existingPin + pinNumber

        if (existingPin.length < pinLength) {
            _pinEntered.postValue(newPin)
        }
    }

    fun deleteLast() {
        val existingPin = _pinEntered.value ?: return
        _pinEntered.postValue(existingPin.dropLast(1))
    }

    fun openBiometricDialog() {
        _onBiometricPressed.postSingleEvent()
    }

    fun clearPin() {
        _pinEntered.postValue("")
    }
}