package dk.nsp.mingraviditet.ui.useradmission.onboarding

import android.os.Bundle
import android.view.LayoutInflater
import androidx.navigation.fragment.findNavController
import dk.nsp.mingraviditet.R
import dk.nsp.mingraviditet.databinding.FragmentAgreementBottomSheetBinding
import dk.nsp.mingraviditet.ui.widgets.BottomSheetViewModel
import dk.nsp.mingraviditet.ui.widgets.DefaultBottomSheetDialog
import dk.nsp.mingraviditet.util.extensions.navigateSafe
import dk.nsp.util.TextModel

class AgreementBottomSheetDialog : DefaultBottomSheetDialog() {

    override val viewModel: BottomSheetViewModel =
        BottomSheetViewModel(TextModel.from(R.string.agreement_title))

    override val forceFullscreen: Boolean = true

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val content =
            FragmentAgreementBottomSheetBinding.inflate(LayoutInflater.from(context), null, false)

        addToScrollView(content.root)

        content.agreeButton.setOnClickListener {
            findNavController().navigateSafe(AgreementBottomSheetDialogDirections.actionAgreementBottomSheetDialogToRegistrationFragment())
        }
    }
}