package dk.nsp.mingraviditet.ui.useradmission.onboarding

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import dk.nsp.mingraviditet.R
import dk.nsp.mingraviditet.databinding.ViewOnboardingPageBinding
import dk.nsp.mingraviditet.util.extensions.getDrawableFromAttr

class OnboardingPageAdapter : RecyclerView.Adapter<OnboardingPageViewHolder>() {
    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): OnboardingPageViewHolder {
        val binding = ViewOnboardingPageBinding.inflate(
            LayoutInflater.from(parent.context), parent, false
        )

        parent.context.getDrawableFromAttr(R.attr.onboardingPageOne)
        return OnboardingPageViewHolder(binding)
    }

    override fun onBindViewHolder(holder: OnboardingPageViewHolder, position: Int) {
        val pageModels = listOf(
            OnboardingPage(
                R.string.onboarding_overview_title,
                R.string.onboarding_overview_text,
                holder.itemView.context.getDrawableFromAttr(R.attr.onboardingPageOne)
            ),
            OnboardingPage(
                R.string.onboarding_appointments_title,
                R.string.onboarding_appointments_text,
                holder.itemView.context.getDrawableFromAttr(R.attr.onboardingPageTwo)
            ),
            OnboardingPage(
                R.string.onboarding_knowledge_title,
                R.string.onboarding_knowledge_text,
                holder.itemView.context.getDrawableFromAttr(R.attr.onboardingPageThree)
            ),
            OnboardingPage(
                R.string.onboarding_journal_title,
                R.string.onboarding_journal_text,
                holder.itemView.context.getDrawableFromAttr(R.attr.onboardingPageFour)
            ),
        )
        holder.bind(pageModels[position])
    }

    override fun getItemCount(): Int = 4

}