package dk.nsp.mingraviditet.util.android

import androidx.fragment.app.Fragment
import androidx.lifecycle.lifecycleScope

/**
 *
 * @receiver LifecycleOwner
 */
fun Fragment.runIfAddedOrOnResume(action: () -> Unit) {
    if (isAdded) {
        action()
    } else {
        lifecycleScope.launchWhenResumed { action() }
    }
}