package dk.nsp.mingraviditet.util.android.motionlayout

import androidx.constraintlayout.motion.widget.MotionLayout
import dk.nsp.mingraviditet.R

enum class MotionLayoutStateEnum {
    Start, End
}

open class SimpleTransitionListener : MotionLayout.TransitionListener {

    private var currentState: MotionLayoutStateEnum = MotionLayoutStateEnum.Start
    var newStateCallback: ((MotionLayoutStateEnum) -> Unit)? = null

    fun getState(): MotionLayoutStateEnum {
        return currentState
    }

    override fun onTransitionStarted(
        p0: MotionLayout?,
        startState: Int,
        endState: Int
    ) {
    }

    override fun onTransitionChange(
        p0: MotionLayout?,
        startState: Int,
        endState: Int,
        progress: Float
    ) {
    }

    override fun onTransitionCompleted(p0: MotionLayout?, newState: Int) {
        when (newState) {
            R.id.start -> {
                onTransition(MotionLayoutStateEnum.Start)
            }
            R.id.end -> {
                onTransition(MotionLayoutStateEnum.End)
            }
        }
    }

    private fun onTransition(toolbarState: MotionLayoutStateEnum) {
        currentState = toolbarState
        newStateCallback?.invoke(toolbarState)
    }


    override fun onTransitionTrigger(
        p0: MotionLayout?,
        oldState: Int,
        newState: Boolean,
        progress: Float
    ) {
    }
}