package dk.nsp.mingraviditet.util.commonsense_helpers


public open class SetOnce<T>(
    initialValue: T,
    onUpdateRejected: (() -> Unit)? = null
) : LockableValue<T>(1, initialValue, onUpdateRejected)


/**
 * Since a readonly [Boolean] is usually preferred, there are times where you want a [Boolean] value to be able to be set once after initialization and then be "Locked"
 */
public class SetOnceBool(
    initialValue: Boolean,
    onUpdateRejected: (() -> Unit)? = null
) : SetOnce<Boolean>(initialValue, onUpdateRejected)
