package dk.nsp.mingraviditet.util.extensions

import androidx.appcompat.app.AlertDialog
import dk.nsp.mingraviditet.domain.AlertDialogViewModel

fun AlertDialog.Builder.createAndShowWith(model: AlertDialogViewModel) {
    setTitle(model.title)
    setMessage(model.message)
    setCancelable(model.cancelable)
    model.positiveButton?.let {
        setPositiveButton(it.buttonTitle, it.dialogInterface)
    }
    model.negativeButton?.let {
        setNegativeButton(it.buttonTitle, it.dialogInterface)
    }
    model.onDismissListener?.let {
        setOnDismissListener(it)
    }

    create().show()
}