package dk.nsp.mingraviditet.util.extensions

import org.joda.time.DateTime
import java.util.*

fun DateTime.toPrettyString(): String = toString("d. MMMM YYYY 'kl.' HH:mm")

fun DateTime?.toMediumFormat(): String? = this?.toString("dd.MM.YYYY")

// Monday, 01 January
fun DateTime?.toLongFormat(): String =
    this?.toString("EEEE, d MMMM")?.capitalize(Locale.getDefault()) ?: ""

// Monday, 01 January 2020
fun DateTime?.toFullDateFormat(): String =
    this?.toString("EEEE, dd MMMM YYYY")?.capitalize(Locale.getDefault()) ?: ""

fun DateTime.toTimeFormat(): String = toString("HH:mm")

fun DateTime.toLongMonthFormat(): String = toString("MMMM").capitalize(Locale.getDefault())

fun DateTime.createWithYear(year: Int): DateTime =
    this.withYear(year).withDayOfYear(1).withTimeAtStartOfDay()

fun DateTime.createWithMonth(month: Int): DateTime =
    this.withMonthOfYear(month).withDayOfMonth(1).withTimeAtStartOfDay()

fun DateTime.withStartOfYear(): DateTime = this.withTimeAtStartOfDay().withDayOfYear(1)
fun DateTime.withStartOfMonth(): DateTime = this.withTimeAtStartOfDay().withDayOfMonth(1)