package dk.nsp.mingraviditet.util.extensions

import android.view.View
import androidx.constraintlayout.motion.widget.MotionLayout
import dk.nsp.mingraviditet.util.android.motionlayout.MotionLayoutStateEnum
import dk.nsp.mingraviditet.util.android.motionlayout.SimpleTransitionListener

fun setupToolbarStateListener(motionLayoutRoot: View, onChanged: (MotionLayoutStateEnum) -> Unit) {
    (motionLayoutRoot as MotionLayout).apply {
        val listener = object : SimpleTransitionListener() {}

        listener.newStateCallback = {
            onChanged(it)
        }

        addTransitionListener(listener)
    }
}

fun MotionLayout.handleToolbarState(state: MotionLayoutStateEnum = MotionLayoutStateEnum.Start) {
    when (state) {
        MotionLayoutStateEnum.Start -> {
            transitionToStart()
        }
        MotionLayoutStateEnum.End -> transitionToEnd()
    }
}