package dk.nsp.domain.bll


import dk.nsp.api.util.isHttpErrorWithCode
import dk.nsp.api.util.isRefreshTokenExpired
import dk.nsp.api.util.networkErrorsApi

inline class ThrowableNetworkErrors(val throwable: Throwable)

inline val Throwable.networkErrors: ThrowableNetworkErrors
    get() = ThrowableNetworkErrors(this)

fun ThrowableNetworkErrors.isHttpErrorWithCode(code: Int): Boolean {
    return throwable.networkErrorsApi.isHttpErrorWithCode(code)
}

fun ThrowableNetworkErrors.isRefreshTokenExpired(): Boolean {
    return throwable.networkErrorsApi.isRefreshTokenExpired()
}
