package dk.nsp.domain.careplan

import android.os.Parcelable
import dk.nsp.api.careplan.models.CareplanDTO
import kotlinx.parcelize.Parcelize

@Parcelize
data class Careplan(
    val patient: String,
    val activities: List<CareplanActivity>,
    val processId: String?, //A reference to any external clinical pathway that this care plan is a part of
    val title: String,
    val description: String?,
    val goal: CareplanGoal?,
    val responsibleOrganization: Organization,
    val id: String,
    val version: Long
) : Parcelable

fun CareplanDTO.toDomainModel(): Careplan {
    return Careplan(
        patient,
        activities.map { it.toDomainModel() },
        processId,
        title,
        description,
        goal?.toDomainModel(),
        responsibleOrganization.toDomainModel(),
        id,
        version
    )
}