@file:UseSerializers(DateTimeSerializer::class)

package dk.nsp.domain.careplan

import android.os.Parcelable
import dk.nsp.api.careplan.models.CareplanActivityPlannedTimeDTO
import dk.nsp.api.util.converters.DateTimeSerializer
import kotlinx.parcelize.Parcelize
import kotlinx.serialization.UseSerializers
import org.joda.time.DateTime

@Parcelize
data class CareplanActivityPlannedTime(
    val from: DateTime,
    val to: DateTime
) : Parcelable

fun CareplanActivityPlannedTimeDTO.toDomainModel(): CareplanActivityPlannedTime {
    return CareplanActivityPlannedTime(from, to)
}
