package dk.nsp.domain.careplan

import android.os.Parcelable
import dk.nsp.api.careplan.models.HealthcareProfessionalDTO
import kotlinx.parcelize.Parcelize

@Parcelize
data class HealthcareProfessional(
    val healthCareActorsIdentification: String?,
    val firstName: String,
    val lastName: String,
    val organizationName: String,
    val phone: String?,
    val email: String?,
    val fax: String?
) : Parcelable {
    fun getFullName(): String {
        return "$firstName $lastName"
    }
}

fun HealthcareProfessionalDTO.toDomainModel(): HealthcareProfessional {
    return HealthcareProfessional(
        healthCareActorsIdentification,
        firstName,
        lastName,
        organizationName,
        phone,
        email,
        fax
    )
}