@file:UseSerializers(DateTimeSerializer::class)

package dk.nsp.domain.careplan

import android.os.Parcelable
import dk.nsp.api.careplan.models.NoteDTO
import dk.nsp.api.util.converters.DateTimeSerializer
import kotlinx.parcelize.Parcelize
import kotlinx.serialization.UseSerializers
import org.joda.time.DateTime

@Parcelize
data class Note(
    val title: String,
    val content: String,
    val date: DateTime,
    val id: String,
    val author: String
) : Parcelable

fun NoteDTO.toDomainModel(): Note {
    return Note(title, content, date, id, author)
}