@file:UseSerializers(DateTimeSerializer::class)

package dk.nsp.domain.careplan

import android.os.Parcelable
import dk.nsp.api.careplan.models.ObservationDTO
import dk.nsp.api.util.converters.DateTimeSerializer
import kotlinx.parcelize.Parcelize
import kotlinx.serialization.UseSerializers
import org.joda.time.DateTime

@Parcelize
data class Observation(
    val dateOfMeasurement: DateTime,
    val values: List<Measurement>,
    val measuredBy: String,
    val enteredBy: String,
    val completed: Boolean,
    val fetus: String?,
    val type: ObservationType,
    val id: String
) : Parcelable

fun ObservationDTO.toDomainModel(): Observation {
    return Observation(
        dateOfMeasurement,
        values.map { it.toDomainModel() },
        measuredBy,
        enteredBy,
        completed,
        fetus,
        type.toDomainModel(),
        id
    )
}