package dk.nsp.domain.careplan

import dk.nsp.api.careplan.models.ObservationTypeDTO

enum class ObservationType {
    Weight,
    BloodPressure,
    Urine,
    Edema,
    PubisMeasurements,
    FetusActivity,
    FetusWeightEstimate,
    FetusPresentation,
    GAUD,
    UlWeight,
    WeightDeviation,
    AmnioticFluid,
    Flow;

    fun isFetusObservation(): Boolean {
        return when (this) {
            FetusActivity, FetusPresentation, FetusWeightEstimate -> true
            else -> false
        }
    }
}

fun ObservationTypeDTO.toDomainModel(): ObservationType {
    return when (this) {
        ObservationTypeDTO.Weight -> ObservationType.Weight
        ObservationTypeDTO.BloodPressure -> ObservationType.BloodPressure
        ObservationTypeDTO.Urine -> ObservationType.Urine
        ObservationTypeDTO.Edema -> ObservationType.Edema
        ObservationTypeDTO.PubisMeasurements -> ObservationType.PubisMeasurements
        ObservationTypeDTO.FetusActivity -> ObservationType.FetusActivity
        ObservationTypeDTO.FetusWeightEstimate -> ObservationType.FetusWeightEstimate
        ObservationTypeDTO.FetusPresentation -> ObservationType.FetusPresentation
        ObservationTypeDTO.GAUD -> ObservationType.GAUD
        ObservationTypeDTO.UlWeight -> ObservationType.UlWeight
        ObservationTypeDTO.WeightDeviation -> ObservationType.WeightDeviation
        ObservationTypeDTO.AmnioticFluid -> ObservationType.AmnioticFluid
        ObservationTypeDTO.Flow -> ObservationType.Flow
    }
}