/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2020 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package dk.nsp.domain.dataCard

import dk.nsp.api.datacard.models.RelationDTO

enum class Relation {
    UnspecifiedRelative,
    NoRelatives,
    Child,
    Mother,
    Father,
    Parent,
    Sibling,
    Spouse,
    GrandChild,
    SonInLaw,
    OtherFamily,
    Neighbor,
    Cohabitant,
    RegisteredPartner,
    Other,
    Son,
    Daughter
}

fun RelationDTO.toDomainModel(): Relation {
    return when (this) {
        RelationDTO.UnspecifiedRelative -> Relation.UnspecifiedRelative
        RelationDTO.NoRelatives -> Relation.NoRelatives
        RelationDTO.Child -> Relation.Child
        RelationDTO.Mother -> Relation.Mother
        RelationDTO.Father -> Relation.Father
        RelationDTO.Parent -> Relation.Parent
        RelationDTO.Sibling -> Relation.Sibling
        RelationDTO.Spouse -> Relation.Spouse
        RelationDTO.GrandChild -> Relation.GrandChild
        RelationDTO.SonInLaw -> Relation.SonInLaw
        RelationDTO.OtherFamily -> Relation.OtherFamily
        RelationDTO.Neighbor -> Relation.Neighbor
        RelationDTO.Cohabitant -> Relation.Cohabitant
        RelationDTO.RegisteredPartner -> Relation.RegisteredPartner
        RelationDTO.Other -> Relation.Other
        RelationDTO.Son -> Relation.Son
        RelationDTO.Daughter -> Relation.Daughter
    }
}
