package dk.nsp.shared.util.extensions

import android.content.Intent

fun Intent?.debugPrintIntent(): String {
    return this?.extras?.let { bundle ->
        val allIntentExtras = StringBuilder()
        for (key in bundle.keySet()) {
            val value: Any? = bundle.get(key)
            allIntentExtras.append(
                String.format(
                    "%s %s (%s)",
                    key,
                    value?.toString(),
                    value?.javaClass?.name
                )
            )
        }
        allIntentExtras.toString()
    } ?: "Intent was null"
}