package dk.nsp.shared.util.extensions

/**
 * Maps a boolean into a value.
 * @receiver [Boolean]
 * @param ifTrue T
 * @param ifFalse T
 * @return T
 */

public inline fun <T> Boolean.map(
    ifTrue: T,
    ifFalse: T
): T = if (this) {
    ifTrue
} else {
    ifFalse
}